package com.jwipc.sys.model.query;

import com.jwipc.db.DbUtil;
import com.jwipc.query.BasePageQuery;
import lombok.Data;

import java.util.List;

/**
 * @author shenyang.ou
 * @date 2024/1/30 13:06
 * @desc
 */
@Data
public class PurchaseCategoryQuery extends BasePageQuery {

    private String firstLevelPurchaseCode;
    private String firstLevelPurchaseName;
    private String secondLevelPurchaseCode;
    private String secondLevelPurchaseName;
    private Integer status;
    private String inCodes;
    private String notInCodes;

    public List<String> getInCodesList() {
        return DbUtil.toList(this.inCodes);
    }

    public List<String> getNotInCodesList() {
        return DbUtil.toList(this.notInCodes);
    }

}
